/*
 * $Id$
 * 
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log$
 * Revision 1.1  2005/12/22 15:42:36  marbobo
 * + Initiale Version
 *
 */
package vkc.messenger.mail;

import javax.net.ssl.X509TrustManager;
import java.security.cert.X509Certificate;

/**
 * DummyTrustManager - NOT SECURE
 */
public class VKCTrustManager implements X509TrustManager {
	public void checkClientTrusted(X509Certificate[] cert, String authType) {
		// everything is trusted
	}

	public void checkServerTrusted(X509Certificate[] cert, String authType) {
		// everything is trusted
	}

	public X509Certificate[] getAcceptedIssuers() {
		return new X509Certificate[0];
	}
}